AsterNet Class Library (Sandcastle documentation)

| MailboxStatusAction Class

The MailboxStatusAction checks if a mailbox contains waiting messages.
The MailboxStatusAction returns a MailboxStatusResponse.
Inheritance Hierarchy
System
Object
AsterNET.Manager.Action
ManagerAction
AsterNET.Manager.Action
MailboxStatusAction

Namespace: AsterNET.Manager.Action
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public class MailboxStatusAction : ManagerAction

    Public Class MailboxStatusAction
    	Inherits ManagerAction

    public ref class MailboxStatusAction : public ManagerAction

    type MailboxStatusAction =
        class
            inherit ManagerAction
        end

The MailboxStatusAction type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| MailboxStatusAction | Creates a new empty MailboxStatusAction.
| MailboxStatusAction(String) | Creates a new MailboxStatusAction that checks for waiting messages in the given mailbox.

Top
Methods

| Name | Description
--- | --- | ---
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| ToString | (Inherited from ManagerAction.)

Top
Properties

| Name | Description
--- | --- | ---
| Action | Get the name of this action, i.e. "MailboxStatus". (Overrides ManagerAction Action.)
| ActionId | (Inherited from ManagerAction.)

Mailbox

Get/Set the name of the mailbox to query.
This can either be only the name of the mailbox or a string of the form mailboxnumber@context. If no context is specified "default" is assumed.
Multiple mailboxes may be given, separated by ','. In this case the action checks whether at least one of the given mailboxes has waiting messages.
This property is mandatory.
Example: "1234,1235@mycontext"

| ProxyKey | You can use this as a simple authentication mechanism. Rather than have to login with a username & password, you can specify a ProxyKey that must be passed from a client before requests are processed. This is helpful in situations where you would like to authenticate and execute an action in a single step. (Inherited from ManagerAction.)
| Server | Specify a server to which to send your commands (x.x.x.x or hostname). This should match the server name specified in your config file's "host" entry. If you do not specify a server, the proxy will pick the first one it finds -- fine in single-server configurations. (Inherited from ManagerAction.)

Top
See Also

#### Reference

AsterNET.Manager.Action Namespace
AsterNET.Manager.Response
MailboxStatusResponse